import request from '@/utils/request'

// 查询检验项目列表
export function listCheckproject(query) {
  return request({
    url: '/qms/checkproject/list',
    method: 'get',
    params: query
  })
}

// 查询检验项目详细
export function getCheckproject(checkProjectId) {
  return request({
    url: '/qms/checkproject/' + checkProjectId,
    method: 'get'
  })
}

// 新增检验项目
export function addCheckproject(data) {
  return request({
    url: '/qms/checkproject',
    method: 'post',
    data: data
  })
}

// 修改检验项目
export function updateCheckproject(data) {
  return request({
    url: '/qms/checkproject',
    method: 'put',
    data: data
  })
}

// 删除检验项目
export function delCheckproject(checkProjectId) {
  return request({
    url: '/qms/checkproject/' + checkProjectId,
    method: 'delete'
  })
}
